ReSIDfpBuilder Class Reference

`#include <residfp.h>`

Inheritance diagram for ReSIDfpBuilder:

## Public Member Functions

| ReSIDfpBuilder (const char *const name)
unsigned int | availDevices () const
unsigned int | create (unsigned int sids)
const char * | credits () const
global settings
Settings that affect all SIDs.
void | filter (bool enable)
void | filter6581Curve (double filterCurve)
void | filter8580Curve (double filterCurve)
Public Member Functions inherited from sidbuilder
| sidbuilder (const char *const name)
unsigned int | usedDevices () const
sidemu * | lock (EventContext *env, SidConfig::sid_model_t model)
void | unlock (sidemu *device)
void | remove ()
const char * | name () const
const char * | error () const
bool | getStatus () const

## Additional Inherited Members

Protected Types inherited from sidbuilder
typedef std::set< sidemu * > | emuset_t
Protected Attributes inherited from sidbuilder
std::string | m_errorBuffer
emuset_t | sidobjs
bool | m_status

## Detailed Description

ReSIDfp Builder Class

Examples:
  demo.cpp.

## Member Function Documentation

unsigned int ReSIDfpBuilder::availDevices | ( |  | ) | const

inline virtual

Available sids.

Returns
  the number of available sids, 0 = endless.

Implements sidbuilder.

unsigned int ReSIDfpBuilder::create | ( | unsigned int | sids | ) |

virtual

Create the sid emu.

Parameters

  sids | the number of required sid emu

Implements sidbuilder.

const char * ReSIDfpBuilder::credits | ( |  | ) | const

virtual

Get the builder's credits.

Returns
  credits

Implements sidbuilder.

void ReSIDfpBuilder::filter | ( | bool | enable | ) |

virtual

enable/disable filter.

Implements sidbuilder.

void ReSIDfpBuilder::filter6581Curve | ( | double | filterCurve | ) |

Set 6581 filter curve.

Parameters

  filterCurve | from 0.0 (light) to 1.0 (dark) (default 0.5)

void ReSIDfpBuilder::filter8580Curve | ( | double | filterCurve | ) |

Set 8580 filter curve.

Parameters

  filterCurve | curve center frequency (default 12500)

The documentation for this class was generated from the following files:

- residfp.h
- residfp-builder.cpp